package chat.client;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface ChatClient extends Remote
{
  /*
  void receiveMessage( String message, String srcUserName )
    throws RemoteException;
  */
  void userEnteredRoom( String userName )
    throws RemoteException;
  
  void userLeavedRoom( String userName )
    throws RemoteException;
  
  void checkAlive()
    throws RemoteException;
  
  void receiveOperation( GenericOperation gop )
    throws RemoteException;

  String receiveInviteToHCSession( String sessionName )
    throws RemoteException;

}

