package chat.client;

import chat.common.Helper;

public class WriteMsgOp extends NonGraphicOp
{
  private String message;

  WriteMsgOp( String opCreatorName, String message )
  {
    super( opCreatorName );
    this.message = message;
  }


  public void execute( Object context )
  {
    ClientFrame clientArea = (ClientFrame) context;
    clientArea.displayInHistory( getOperationCreatorName(), this.message );
  }
}


