package chat.server;

import chat.client.GenericOperation;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface UserConnection extends Remote
{
  void    sendOperation( GenericOperation gop, String destUserName )
    throws UserNotInRoomException, RemoteException;
  
  void    broadcastOperation( GenericOperation gop )
    throws RemoteException;

  String inviteToHCSession( String sessionName, String destUserName )
    throws UserNotInRoomException, RemoteException;

  String  getUserName()
    throws RemoteException;

  String  getChatRoomName()
    throws RemoteException;

  long    getConnectionTime()
    throws RemoteException;
}
