package chat.client;

public interface GenericOperation
  extends java.io.Serializable
{
  /**
   * Executa a operao no contexto especificado.
   * A instancia deve conhecer o tipo appropriado do contexto e o 
   * sender deve estar ciente de isso.
   * 
   * @param context
   */
  void execute( Object context );
  
  /**
   * Indica se o objeto  uma operao grafica.
   * 
   * @return 
   */
  boolean isGraphicOperation();
  
  /**
   * Retorna o nome do criador da operao.
   * 
   * @return 
   */
  String getOperationCreatorName();
}

