package chat.client;

import chat.common.Helper;

public abstract class GraphicOperation
  implements GenericOperation
{
  private long birthtime; 
  private String opCreatorName;

  GraphicOperation( String opCreatorName )
  {
    this.birthtime    = System.currentTimeMillis();
    this.opCreatorName = opCreatorName;
  }


  public String getOperationCreatorName()
  {
    return this.opCreatorName;
  }


  public boolean isGraphicOperation()
  {
    return true;
  }
}


